ceres-solver (2.2.0+dfsg-4.1ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 20:31:13 +0000

ceres-solver (2.2.0+dfsg-4.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:47:31 +0000

ceres-solver (2.2.0+dfsg-4.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    * Lower optimization level to O2 on ppc64el to fix a FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 17:13:10 +0100

ceres-solver (2.2.0+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062050

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 09:05:56 +0000

ceres-solver (2.2.0+dfsg-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    * Lower optimization level to O2 on ppc64el to fix a FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Nov 2023 07:11:04 +0100

ceres-solver (2.2.0+dfsg-4) unstable; urgency=medium

  * Dropping (build-)dependency on atlas, using blas instead (Closes: #1056666)

 -- Pierre Gruet <pgt@debian.org>  Sat, 25 Nov 2023 15:50:29 +0100

ceres-solver (2.2.0+dfsg-3ubuntu2) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:42:54 +0100

ceres-solver (2.2.0+dfsg-3ubuntu1) noble; urgency=medium

  * Lower optimization level to O2 on ppc64el to fix a FTBFS

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 09:35:53 +0100

ceres-solver (2.2.0+dfsg-3) unstable; urgency=medium

  * Installing the shared lib after the static one in order to have CMake
    exported files correctly targeted at the shared lib, not the static one

 -- Pierre Gruet <pgt@debian.org>  Tue, 31 Oct 2023 17:29:50 +0100

ceres-solver (2.2.0+dfsg-2) experimental; urgency=medium

  * Raising no error in CeresConfig.Cmake about GLOG_FOUND, as we do not ship
    the file that sets it
  * Refreshing patches

 -- Pierre Gruet <pgt@debian.org>  Mon, 30 Oct 2023 07:46:23 +0100

ceres-solver (2.2.0+dfsg-1) experimental; urgency=medium

  * Bumping SONAME: libceres4
  * Adding more symlinks to js files
  * Updating d/copyright

  [ Francois Mazen ]
  * New upstream version.
  * Update and remove quilt patches

 -- Pierre Gruet <pgt@debian.org>  Tue, 24 Oct 2023 21:33:37 +0200

ceres-solver (2.1.0+really2.1.0+dfsg-3) unstable; urgency=medium

  * Invoking SuiteSparse instead of CSSparse in CMakeLists.txt
    (Closes: #1053322)

 -- Pierre Gruet <pgt@debian.org>  Tue, 03 Oct 2023 17:13:14 +0200

ceres-solver (2.1.0+really2.1.0+dfsg-2) unstable; urgency=medium

  * Honouring DEB_BUILD_OPTIONS=noopt by passing no CMAKE_BUILD_TYPE
    (Closes: #1041058)
  * Correcting dangling symlink creation in d/rules (Closes: #1042690)
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sun, 13 Aug 2023 21:57:27 +0200

ceres-solver (2.1.0+really2.1.0+dfsg-1) unstable; urgency=medium

  * Transition to SOVERSION 3

  [Pierre Gruet]
  * libatlas-base-dev has to be added as a dependency of the -dev package
  * Rewriting d/rules to run dh_sequences only once
  * Adding myself as uploader
  * New upstream version 2.1.0+really2.1.0+dfsg
  * Changing name of shared lib package to libceres3, following SOVERSION
  * Reverting install and docs paths at their state in version 2.1.0+dfsg
  * Installing the static lib in /usr/lib/$(DEB_HOST_MULTIARCH)
  * Adding a Lintian override for not providing a symbols file

  [Francois Mazen]
  * Fix malformed override lintian error

 -- Francois Mazen <francois@mzf.fr>  Fri, 24 Jun 2022 21:49:30 +0200

ceres-solver (2.1.0+really2.0.0+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Explicitly requiring to build the tests with the shared lib
  * Removing duplicate line in d/copyright

 -- Pierre Gruet <pgt@debian.org>  Tue, 07 Jun 2022 15:22:34 +0200

ceres-solver (2.1.0+really2.0.0+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.1.0+really2.0.0+dfsg1 (Closes: #1012419)
  * Refreshing patches
  * Back to former install and docs paths
  * Fixing unneeded versioned dependencies in d/control
  * Building and running the tests only when building the shared library,
    so that they are not run twice.
  * Honouring DEB_BUILD_OPTIONS=nocheck

  [ Francois Mazen ]
  * Bump standard version to 4.6.1.0
  * Add Multi-Arch fields in debian/control
  * Update copyright date
  * Adding a patch to fix i386 failing tests with version 2.1.0+dfsg

 -- Pierre Gruet <pgt@debian.org>  Tue, 07 Jun 2022 14:04:12 +0200

ceres-solver (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Update patches for new version
  * Fix Sphinx theme not found
  * Update debian/copyright
  * Remove unused lintian override

 -- Francois Mazen <francois@mzf.fr>  Sun, 10 Apr 2022 00:21:07 +0200

ceres-solver (2.0.0+dfsg1-5) unstable; urgency=medium

  * [9a62611] One more test fix

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Dec 2021 17:39:57 +0100

ceres-solver (2.0.0+dfsg1-4) unstable; urgency=medium

  * [7a12468] Change BD from node-html5shiv:native to node-html5shiv

 -- Anton Gladky <gladk@debian.org>  Tue, 14 Dec 2021 23:45:11 +0100

ceres-solver (2.0.0+dfsg1-3) unstable; urgency=medium

  * [46d1b53] Disable one more check
  * [5e891e8] Let autopkgtest write to stderr

 -- Anton Gladky <gladk@debian.org>  Tue, 14 Dec 2021 23:14:13 +0100

ceres-solver (2.0.0+dfsg1-2) unstable; urgency=medium

  * [8e9d81a] Disable one test completely.
  * [0406c95] Drop debug info for mipsel.

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Dec 2021 21:52:55 +0100

ceres-solver (2.0.0+dfsg1-1) unstable; urgency=medium

  * [b95ca20] Fix Uploaders-field. (Closes: #1000231)
  * [afa5226] Disable one check failing on i386
  * Upload new version into unstable (Closes: #1001307)

 -- Anton Gladky <gladk@debian.org>  Wed, 08 Dec 2021 22:17:50 +0100

ceres-solver (2.0.0+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Anton Gladky ]
  * [23aba26] New upstream version 2.0.0+dfsg1
  * [4417cbf] Override lintian
  * [ad4cf16] fix privacy breach
  * [486de14] Update d/copyright
  * [53ad04b] Update d/watch

  [ Francois Mazen ]
  * New upstream version.
  * Bump standard version to 4.6.0.
  * Remove patch applied upstream.
  * Mention not-needed in the Forwarded field of the patch headers.
  * Add gawk in Build-Depends to avoid virtual package dependency.
  * Add python3 shebang in docs (improve existing patch).
  * Add gawk as build dependency because awk is a virtual package.
  * Change lib package name to libceres2 from libceres1.

  [ Helmut Grohne ]
  * Move documentation dependencies to B-D-I. (Closes: #984887)

  [ Bastian Germann ]
  * [078cd9f] d/changelog: Add missing information
  * [5675e27] Try crossbuild

 -- Anton Gladky <gladk@debian.org>  Thu, 02 Dec 2021 19:52:19 +0100

ceres-solver (1.14.0-14) unstable; urgency=medium

  * [9cb79f7] Disable failure on file remove. (Closes: #983101)

 -- Anton Gladky <gladk@debian.org>  Mon, 22 Feb 2021 21:34:16 +0100

ceres-solver (1.14.0-13) unstable; urgency=medium

  * [26b13a7] Add autopkgtest
  * [69e7090] Add myself as uploader (at least temporarliy).
              (Closes: #919782)

 -- Anton Gladky <gladk@debian.org>  Thu, 10 Dec 2020 17:19:24 +0100

ceres-solver (1.14.0-12) unstable; urgency=medium

  * [2bc7414] Disable failing tests on mipsel
  * [ff3c0b7] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Wed, 09 Dec 2020 23:36:35 +0100

ceres-solver (1.14.0-11) unstable; urgency=medium

  * Team upload.
  * [21022f7] Add .gitlab-ci.yml
  * [a8eeb1e] Update watch file format version to 4.
  * [6373c6d] Set upstream metadata fields:
              Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [7542a27] Drop unnecessary dh arguments: --parallel
  * Rebuild against new eigen3

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Dec 2020 08:20:24 +0100

ceres-solver (1.14.0-10) unstable; urgency=medium

  * Team upload.
  * Add strict libeigen3-dev dependency
  * Drop old/wrong lintian-overrides
  * bump policy and debhelper versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Oct 2020 20:23:12 +0200

ceres-solver (1.14.0-9) unstable; urgency=medium

  * Fix js replacement in -doc.
    Thanks to Nick Lamprianidis (Closes: #971195)
  * Drop wrong lintian-overrides

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 03 Oct 2020 16:50:51 +0200

ceres-solver (1.14.0-8) unstable; urgency=medium

  * Team upload.
  * Depend on python3 (Closes: #936284)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 08 Jun 2020 20:47:40 +0200

ceres-solver (1.14.0-7) unstable; urgency=medium

  * Team upload.
  * Disable failing tests on i386, arm64, ppc64el (Closes: #902150)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 May 2020 13:12:47 +0200

ceres-solver (1.14.0-6) unstable; urgency=medium

  * Team upload.
  * Add patch for failing tests on i386

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Apr 2020 20:27:22 +0200

ceres-solver (1.14.0-5) unstable; urgency=medium

  * Team upload.
  * Add patch for Python 3 (Closes: #936284)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Apr 2020 11:48:37 +0200

ceres-solver (1.14.0-4) unstable; urgency=medium

  * Team upload.
  * Bump versioned (Build-)Depends: libeigen3-dev (>= 3.3.4)
    Closes: #883619

 -- Andreas Tille <tille@debian.org>  Tue, 26 Feb 2019 10:00:04 +0100

ceres-solver (1.14.0-3) unstable; urgency=medium

  * Updated years in debian/copyright
  * Updated Standards-Version: 4.3.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sat, 19 Jan 2019 16:18:43 +0100

ceres-solver (1.14.0-2) unstable; urgency=medium

  * Added upstream patch to address #902150
  * Updated Standards-Version: 4.1.5 (no changes needed)
  * ceres-solver-doc: remove shipped fonts, depend on fonts-lato instead

 -- Philipp Huebner <debalance@debian.org>  Thu, 19 Jul 2018 16:40:30 +0200

ceres-solver (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Removed obsolete debian/README.source
  * Removed obsolete get-orig-source target from debian/rules
  * Updated Standards-Version: 4.1.4 (no changes needed)
  * Switched to debhelper 11
  * Added/Updated lintian overrides
  * Switched to python3 version of Sphinx for building the docs

 -- Philipp Huebner <debalance@debian.org>  Fri, 15 Jun 2018 16:45:41 +0200

ceres-solver (1.13.0+dfsg0-2) unstable; urgency=medium

  * Updated debian/watch
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)
  * Updated Vcs-* fields in debian/control
  * Replaced embedded javascript copies with packaged ones

 -- Philipp Huebner <debalance@debian.org>  Tue, 06 Feb 2018 13:19:11 +0100

ceres-solver (1.13.0+dfsg0-1) unstable; urgency=medium

  * New upstream version 1.13.0+dfsg0
  * Updated Standards-Version: 4.1.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 28 Sep 2017 07:08:22 +0200

ceres-solver (1.13.0~rc1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.13.0~rc1~dfsg0
  * Re-add README.source
  * Updated Standards-Version: 4.0.0 (no changes needed)
  * Updated years in debian/copyright
  * Move usr/lib/cmake/ceres -> usr/lib/cmake/Ceres (LP: 1678043)
  * Add patch from upstream commit to fix failing unit test

 -- Philipp Huebner <debalance@debian.org>  Fri, 28 Jul 2017 11:02:15 +0200

ceres-solver (1.12.0+dfsg0-1) unstable; urgency=medium

  * New upstream version 1.12.0

 -- Philipp Huebner <debalance@debian.org>  Mon, 05 Dec 2016 21:40:28 +0100

ceres-solver (1.12.0~rc4-1) unstable; urgency=medium

  * New upstream version 1.12.0~rc4
  * Remove README.source - no longer needed
  * Update debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 23 Nov 2016 22:37:14 +0100

ceres-solver (1.12.0~rc2~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.12.0~rc2

 -- Philipp Huebner <debalance@debian.org>  Sat, 12 Nov 2016 15:45:24 +0100

ceres-solver (1.12.0~rc1~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.12.0~rc1
  * Updated patches
  * Restored debian/README.source

 -- Philipp Huebner <debalance@debian.org>  Wed, 19 Oct 2016 09:08:00 +0200

ceres-solver (1.11.0+git20161003-1) unstable; urgency=medium

  * New upstream version 1.11.0+git20161003
  * Added pending upstream patch to fix gradient_checker_test

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Oct 2016 08:18:49 +0200

ceres-solver (1.11.0+git20160903-1) unstable; urgency=medium

  * New upstream version 1.11.0+git20160903 (Closes: #835037)
  * Remove README.source - no longer needed
  * Update libceres-dev.install

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Sep 2016 14:18:24 +0200

ceres-solver (1.11.0~dfsg0-5) unstable; urgency=medium

  * Install cmake files into libceres-dev

 -- Philipp Huebner <debalance@debian.org>  Fri, 15 Jul 2016 20:35:35 +0200

ceres-solver (1.11.0~dfsg0-4) unstable; urgency=medium

  * Added patch to allow compiling with GCC 6 (Closes: #811987)
  * Corrected spacing in debian/control
  * Switched to version Format URI in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 Jul 2016 10:10:08 +0200

ceres-solver (1.11.0~dfsg0-3) unstable; urgency=medium

  * libceres-dev: install config.h (Closes: #823623)
  * Enabled hardening
  * Updated debian/copyright
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Updated Vcs-* fields in debian/control
  * Fixed some spelling errors that lintian complained about

 -- Philipp Huebner <debalance@debian.org>  Tue, 31 May 2016 13:44:38 +0200

ceres-solver (1.11.0~dfsg0-2) unstable; urgency=medium

  * Upload to unstable

 -- Philipp Huebner <debalance@debian.org>  Fri, 27 Nov 2015 09:50:43 +0100

ceres-solver (1.11.0~dfsg0-1) experimental; urgency=low

  * Imported Upstream version 1.11.0
  * Dropped all patches

 -- Philipp Huebner <debalance@debian.org>  Sat, 17 Oct 2015 15:55:37 +0200

ceres-solver (1.10.0~dfsg0-3) experimental; urgency=low

  * Add missing build depencendy: python-sphinx

 -- Philipp Huebner <debalance@debian.org>  Wed, 22 Jul 2015 14:10:36 +0200

ceres-solver (1.10.0~dfsg0-2) experimental; urgency=low

  * Add versions to some (build-)dependencies
  * Add latest upstream patches
  * Correct debian/rules to work on buildds

 -- Philipp Huebner <debalance@debian.org>  Tue, 21 Jul 2015 22:44:12 +0200

ceres-solver (1.10.0~dfsg0-1) experimental; urgency=low

  * Initial release (Closes: #673238)

 -- Philipp Huebner <debalance@debian.org>  Fri, 20 Mar 2015 11:14:00 +0100
